Package ch.qos.logback.core.pattern.parser

# Class FormattingNode

java.lang.Object
ch.qos.logback.core.pattern.parser.Node
ch.qos.logback.core.pattern.parser.FormattingNode

Direct Known Subclasses:
  `SimpleKeywordNode`

public class FormattingNode extends Node

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`FormatInfo`
`getFormatInfo()`
`int`
`hashCode()`
`void`
`setFormatInfo(FormatInfo formatInfo)`

### Methods inherited from class ch.qos.logback.core.pattern.parser.Node

`getNext, getType, getValue, setNext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getFormatInfo

public FormatInfo getFormatInfo()

### setFormatInfo

public void setFormatInfo(FormatInfo formatInfo)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Node`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Node`